Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -3092,79 +3062,78 @@
 &                (Eqi(il)*fac_ftmr(il)), &
 &                'stewart_expilicit 344', &
-&                errmax*10,errmaxrel*10).eq.1) then
-          write(*,*) 'Rl0,Rb0=',Rl0(iso_eau,il),Rb0(iso_eau,il)
-          write(*,*) 'Revap0=',Revap0(iso_eau,il)
-          write(*,*) 'Eqi,Pqisup,Pxtisup,Pqiinf=', &
+&                errmax*10,errmaxrel*10).eq.1) THEN
+          WRITE(*,*) 'Rl0,Rb0=',Rl0(iso_eau,il),Rb0(iso_eau,il)
+          WRITE(*,*) 'Revap0=',Revap0(iso_eau,il)
+          WRITE(*,*) 'Eqi,Pqisup,Pxtisup,Pqiinf=', &
 &                 Eqi(il),Pqisup(il),Pxtisup(iso_eau,il),Pqiinf(il)
-          write(*,*) 'fac_ftmr,qp0,xtp0=', &
+          WRITE(*,*) 'fac_ftmr,qp0,xtp0=', &
 &                   fac_ftmr(il),qp0(il),xtp0(iso_eau,il)
-          write(*,*) 'Revapfin=',Revapfin(iso_eau,il)
+          WRITE(*,*) 'Revapfin=',Revapfin(iso_eau,il)
           stop
         endif
-        if (Pqiinf(il).gt.ridicule) then
+        if (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 143', &
 &                   errmax,errmaxrel)
-        endif !if (Pqiinf.gt.ridicule) then
-
+        endif !if (Pqiinf.gt.ridicule) THEN
         if (iso_verif_egalite_choix_nostop( &
 &                   (xtnew(iso_eau,il)), &
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 380',errmax*10,errmaxrel*50) &
-&                           .eq.1) then
-                write(*,*) 'xtnew=',xtnew(iso_eau,il)
-                write(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
-                write(*,*) 'Exi=',Exi(iso_eau,il)
-                write(*,*) 'Eqi=',Eqi(il)
-                write(*,*) 'xtp0=',xtp0(iso_eau,il), &
+&                           .eq.1) THEN
+                WRITE(*,*) 'xtnew=',xtnew(iso_eau,il)
+                WRITE(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
+                WRITE(*,*) 'Exi=',Exi(iso_eau,il)
+                WRITE(*,*) 'Eqi=',Eqi(il)
+                WRITE(*,*) 'xtp0=',xtp0(iso_eau,il), &
 &                   'qp0=',qp0(il)
-                write(*,*) 'Pxtisup=',Pxtisup(iso_eau,il), &
+                WRITE(*,*) 'Pxtisup=',Pxtisup(iso_eau,il), &
 &                   ' Pqisup=',pqisup(il)
-                write(*,*) 'Pxtiinf=',Pxtiinf(iso_eau,il), &
+                WRITE(*,*) 'Pxtiinf=',Pxtiinf(iso_eau,il), &
 &                   ' Pqiinf=',pqiinf(il)
                 stop
         endif !if (iso_verif_egalite_choix_nostop(
      endif    !if (iso_eau.gt.0).and.(ixt.eq.iso_eau)
-     if (iso_HDO.gt.0) then
-       if (Pqiinf(il).gt.ridicule_rain) then
+     if (iso_HDO.gt.0) THEN
+       if (Pqiinf(il).gt.ridicule_rain) THEN
          CALL iso_verif_aberrant( &
 &              (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &             'stewart_explicie 384')   
        endif !(iso_HDO.gt.0).and.(ixt.eq.iso_HDO)
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
          if (iso_verif_aberrant_nostop(( &
 &               xtnew(iso_HDO,il)/(qp0(il)+Eqi(il)*fac_ftmr(il))), &
-&              'stewart_explicite 603').eq.1) then
-           write(*,*) 'qp0(il),Eqi(il),fac_ftmr(il)=', &
+&              'stewart_explicite 603').eq.1) THEN
+           WRITE(*,*) 'qp0(il),Eqi(il),fac_ftmr(il)=', &
 &                   qp0(il),Eqi(il),fac_ftmr(il)
-           write(*,*) 'Pqisup(il)=',Pqisup(il)
-           write(*,*) 'Rl0(iso_HDO,il),Rb0(iso_HDO,il)=',    &    
+           WRITE(*,*) 'Pqisup(il)=',Pqisup(il)
+           WRITE(*,*) 'Rl0(iso_HDO,il),Rb0(iso_HDO,il)=',    &
 &                  Rl0(iso_HDO,il),Rb0(iso_HDO,il) 
-           write(*,*)'Revap0(iso_HDO,il),Revapfin(iso_HDO,il)=', &
+           WRITE(*,*)'Revap0(iso_HDO,il),Revapfin(iso_HDO,il)=', &
 &                 Revap0(iso_HDO,il),Revapfin(iso_HDO,il)  
-           write(*,*) 'Revap(iso_HDO,il)=',Revap(iso_HDO,il)
-           write(*,*) 'Rlfin,Rbfin=', &
+           WRITE(*,*) 'Revap(iso_HDO,il)=',Revap(iso_HDO,il)
+           WRITE(*,*) 'Rlfin,Rbfin=', &
 &                   Rlfin(iso_HDO),Rbfin(iso_HDO)
-           write(*,*) 'h(il),alphap(iso_HDO,il),(D/D'')^n=', &
+           WRITE(*,*) 'h(il),alphap(iso_HDO,il),(D/D'')^n=', &
 &              h(il),alphap(iso_HDO,il),tdifrel(iso_HDO)**(tdifexp)
-           write(*,*) 'deltaDl0,deltaDb0=', &
+           WRITE(*,*) 'deltaDl0,deltaDb0=', &
 &               deltaD((Rl0(iso_HDO,il))), &
 &                   deltaD((Rb0(iso_HDO,il)))
-           write(*,*) 'deltaDe0,deltaDefin,deltaDe=', &
+           WRITE(*,*) 'deltaDe0,deltaDefin,deltaDe=', &
 &               deltaD((Revap0(iso_HDO,il))), &
 &               deltaD((Revapfin(iso_HDO,il))), &
 &               deltaD((Revap(iso_HDO,il)))
-           write(*,*) 'deltaDlfin,deltaDbfin=', &
+           WRITE(*,*) 'deltaDlfin,deltaDbfin=', &
 &                   deltaD((Rlfin(iso_HDO))), &
 &                   deltaD((Rbfin(iso_HDO)))       
            stop
          endif !if (iso_verif_aberrant_nostop((
-       endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+       endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
      endif !!if ((iso_HDO.gt.0)
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-         write(*,*) 'stewart_explicit 663: cas où réévap faible'
-         write(*,*) 'ordre 1 pour la vapeur et le liquide'
-         write(*,*) 'Eqi(il),deltaD=',Eqi(il), &
+     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+         WRITE(*,*) 'stewart_explicit 663: cas où réévap faible'
+         WRITE(*,*) 'ordre 1 pour la vapeur et le liquide'
+         WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
      endif
@@ -3176,6 +3145,6 @@
 
   ! *** cas où pas d'air
-  if ((h(il).lt.1e-3).or.(qp0(il).lt.1e-8)) then
-!              write(*,*) 'stewart_explicit 349: cas pas d''air'
+  if ((h(il).lt.1e-3).or.(qp0(il).lt.1e-8)) THEN
+!              WRITE(*,*) 'stewart_explicit 349: cas pas d''air'
       !**** calcul de Rl
 !                Rl=Rl0*f**beta ! on fait autrement pour éviter
@@ -3210,14 +3179,14 @@
 &                   *(qp0(il)+Eqi(il)*fac_ftmr(il))
         enddo
-        if (fac_ftmr(il).gt.0.0) then
+        if (fac_ftmr(il).gt.0.0) THEN
             do ixt=1,niso
                 Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il)) &
 &                   /fac_ftmr(il)
             enddo    
-        else !if (fac_ftmr.gt.0.0) then
+        else !if (fac_ftmr.gt.0.0) THEN
             do ixt=1,niso
                 Exi(ixt,il)=Pxtisup(ixt,il)-Pxtiinf(ixt,il)
             enddo ! do ixt=1,niso    
-        endif !if (fac_ftmr.gt.0.0) then
+        endif !if (fac_ftmr.gt.0.0) THEN
         !Exi=max(Exi,0) 
 
@@ -3234,5 +3203,5 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -3247,26 +3216,26 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 419',errmax*10,errmaxrel*10)
-            if (Pqiinf(il).gt.ridicule) then
+            if (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 143',errmax,errmaxrel)
-            endif !if (Pqiinf.gt.ridicule) then  
+            endif !if (Pqiinf.gt.ridicule) THEN
           endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) then
-            if (Pqiinf(il).gt.ridicule_rain) then
+          if (iso_HDO.gt.0) THEN
+            if (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 484')   
             endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
               CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 214')
-             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if ((iso_HDO.gt.0)
-     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-         write(*,*) 'stewart_explicit 767: cas de réévap sèche'
-         write(*,*) 'distill de Rayleigh'
-         write(*,*) 'Eqi(il),deltaD=',Eqi(il), &
+     if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+         WRITE(*,*) 'stewart_explicit 767: cas de réévap sèche'
+         WRITE(*,*) 'distill de Rayleigh'
+         WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
      endif
@@ -3274,7 +3243,6 @@
         ! end verifs
 
-    !else if (fac_ftmr(il).gt.1e18) then
-    else if (fac_ftmr(il).gt.1e24) then
-
+    !else if (fac_ftmr(il).gt.1e18) THEN
+    else if (fac_ftmr(il).gt.1e24) THEN
         ! *** cas où flux de masse nul
         do ixt=1,niso
@@ -3291,5 +3259,5 @@
 
 
-!                write(*,*) 'stewart_explicit 349: cas Mp=0'
+!                WRITE(*,*) 'stewart_explicit 349: cas Mp=0'
       do ixt=1,niso 
         Rl(ixt,il)=Rl0(ixt,il)*f(il)**beta(ixt,il)
@@ -3311,5 +3279,5 @@
 &                   'stewart_explicite 467')
     enddo !do ixt=1,niso    
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                  (Pxtiinf(iso_eau,il)), &
@@ -3324,35 +3292,35 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 472b',errmax*10,errmaxrel*10) &
-&                  .eq.1) then
-                write(*,*) 'il=',il
-                write(*,*) 'f,h=',f(il),h(il)
-                write(*,*) 'fac_ftmr,Eqi=',fac_ftmr(il),Eqi(il)
-                write(*,*) 'Pqisup,Pqiinf=', &
+&                  .eq.1) THEN
+                WRITE(*,*) 'il=',il
+                WRITE(*,*) 'f,h=',f(il),h(il)
+                WRITE(*,*) 'fac_ftmr,Eqi=',fac_ftmr(il),Eqi(il)
+                WRITE(*,*) 'Pqisup,Pqiinf=', &
 &                           Pqisup(il),Pqiinf(il)
-                write(*,*) 'Pxtisup,Pxtiinf', &
+                WRITE(*,*) 'Pxtisup,Pxtiinf', &
 &                     Pxtisup(iso_eau,il),Pxtiinf(iso_eau,il)
                 stop
             endif !if (iso_verif_egalite_choix_nostop(
-            if (Pqiinf(il).gt.ridicule) then
+            if (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                  ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                  1.,'stewart_explicite 143',errmax,errmaxrel)
-            endif !if (Pqiinf.gt.ridicule) then 
+            endif !if (Pqiinf.gt.ridicule) THEN
           endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) then
-            if (Pqiinf(il).gt.ridicule_rain) then
+          if (iso_HDO.gt.0) THEN
+            if (Pqiinf(il).gt.ridicule_rain) THEN
             CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 484')   
             endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
              CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 759')
-            endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+            endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if (iso_HDO.gt.0)
-      if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-         write(*,*) 'stewart_explicit 831: flux de masse vap~0'
-         write(*,*) 'Eqi(il),deltaD=',Eqi(il), &
+      if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+         WRITE(*,*) 'stewart_explicit 831: flux de masse vap~0'
+         WRITE(*,*) 'Eqi(il),deltaD=',Eqi(il), &
 &                   deltaD((Exi(iso_HDO,il)/Eqi(il)))
       endif
@@ -3360,10 +3328,8 @@
         ! end verifs
 
-    else ! else if (fac_ftmr(il).gt.1e18) then
-
-
+    else ! else if (fac_ftmr(il).gt.1e18) THEN
     !**** cas général
 
-!            write(*,*) 'stewart_explicit 403: cas général'
+!            WRITE(*,*) 'stewart_explicit 403: cas général'
     do ixt=1,niso
       interm(ixt,il)=alphap(ixt,il)*(1.0-h(il)) &
@@ -3375,5 +3341,5 @@
     ! modif le 13 juin 2012: seuil 1e-2 -> 5e-2
     ! le 15 juin: on revient à 1e-2 car sinon, vapeur varie trop
-    if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.1e-2) then
+    if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.1e-2) THEN
                 ! premier ordre pour la vapeur
                 ! cas ajouté le 7 dec 2011 car le cas général
@@ -3383,14 +3349,14 @@
             ! underflow exceptions quand f**beta fait dans les
             ! 1e-300.    
-       if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) then
+       if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) THEN
         do ixt=1,niso
            Rl(ixt,il) = Rl0(ixt,il)*f(il)**beta(ixt,il) &
 &              +gama(ixt,il)*Rb0(ixt,il)*(1.0-f(il)**beta(ixt,il))
         enddo
-       else !if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) then
+       else !if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) THEN
         do ixt=1,niso
            Rl(ixt,il) = gama(ixt,il)*Rb0(ixt,il)
         enddo   
-       endif !if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) then
+       endif !if (-h(il)/(1-h(il))*log(f(il)).gt.30.0) THEN
         do ixt=1,niso
         Rb(ixt,il)=((Rl0(ixt,il)-Rl(ixt,il)*f(il)) &
@@ -3402,5 +3368,5 @@
         xtnew(ixt,il)=Rb(ixt,il)*(qp0(il)+Eqi(il)*fac_ftmr(il)) 
         xtnew(ixt,il)=max(xtnew(ixt,il),0.0)              
-        if (fac_ftmr(il).gt.0.0) then
+        if (fac_ftmr(il).gt.0.0) THEN
          Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il))/fac_ftmr(il)
         else
@@ -3422,5 +3388,5 @@
 #endif
 #ifdef ISOVERIF
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -3435,53 +3401,53 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 931',errmax*10,errmaxrel*10)
-            if (Pqiinf(il).gt.ridicule) then
+            if (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 935',errmax,errmaxrel)
-            endif !if (Pqiinf.gt.ridicule) then  
+            endif !if (Pqiinf.gt.ridicule) THEN
           endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) then
-            if (Pqiinf(il).gt.ridicule_rain) then
+          if (iso_HDO.gt.0) THEN
+            if (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 484')   
             endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
                 if (iso_verif_aberrant_nostop(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 947') &
-&                   .eq.1) then
-                   write(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
+&                   .eq.1) THEN
+                   WRITE(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
 &                          Eqi(il)*fac_ftmr(il)/qp0(il) 
-                   write(*,*) 'f,h=',f(il),h(il)
-                   write(*,*) 'Eqi(il)= ',Eqi(il)
-                   write(*,*) 'Pqisup(il)= ',Pqisup(il)
-                   write(*,*) 'fac_ftmr(il)= ',fac_ftmr(il)
-                   write(*,*) 'qp0(il)= ',qp0(il)
-                   write(*,*) 'beta(iso_HDO,il)= ', &
+                   WRITE(*,*) 'f,h=',f(il),h(il)
+                   WRITE(*,*) 'Eqi(il)= ',Eqi(il)
+                   WRITE(*,*) 'Pqisup(il)= ',Pqisup(il)
+                   WRITE(*,*) 'fac_ftmr(il)= ',fac_ftmr(il)
+                   WRITE(*,*) 'qp0(il)= ',qp0(il)
+                   WRITE(*,*) 'beta(iso_HDO,il)= ', &
 &                        beta(iso_HDO,il)
-                   write(*,*) 'gama(iso_HDO,il)= ', &
+                   WRITE(*,*) 'gama(iso_HDO,il)= ', &
 &                        gama(iso_HDO,il)
-                   write(*,*) 'deltaDl0,b0=',deltaD( &
+                   WRITE(*,*) 'deltaDl0,b0=',deltaD( &
 &                        (Rl0(iso_HDO,il))),deltaD( &
 &                        (Rb0(iso_HDO,il)))
-                   write(*,*) 'deltaDl,b=',deltaD( &
+                   WRITE(*,*) 'deltaDl,b=',deltaD( &
 &                        (Rl(iso_HDO,il))),deltaD( &
 &                        (Rb(iso_HDO,il)))
-                   write(*,*) 'deltaDe=',deltaD( &
+                   WRITE(*,*) 'deltaDe=',deltaD( &
 &                        (Exi(iso_HDO,il)/Eqi(il)))
-                   write(*,*) 'deltaDgamaRb0=',deltaD( &
+                   WRITE(*,*) 'deltaDgamaRb0=',deltaD( &
 &                        (gama(iso_HDO,il) &
 &                        *Rb0(iso_HDO,il))) 
-                   write(*,*) 'deltaDalphaRb0=',deltaD( &
+                   WRITE(*,*) 'deltaDalphaRb0=',deltaD( &
 &                        (alphap(iso_HDO,il) &
 &                        *Rb0(iso_HDO,il)))
                    stop
                 endif
-             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if ((iso_HDO.gt.0)
           if ((iso_O17.gt.0).and.(iso_O18.gt.0).and. &
-&               (O17_verif)) then
-             if (Pqiinf(il).gt.ridicule_rain) then
+&               (O17_verif)) THEN
+             if (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant_o17( &
 &                  (Pxtiinf(iso_O17,il)/Pqiinf(il)), &
@@ -3490,11 +3456,11 @@
             endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
           endif  ! if ((iso_O17.gt.0).and.(iso_O18.gt.0).and.
-     if ((debug.eq.1).and.(il.eq.il_debug)) then
-        write(*,*) 'stewart_explicit 951: 1er ordre pour la vap'
-     endif !if ((debug.eq.1).and.(il.eq.il_debug)) then
+     if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+        WRITE(*,*) 'stewart_explicit 951: 1er ordre pour la vap'
+     endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
 #endif              
 
     else if ((A(il)*m0(il)/qp0(il).gt.10.0).and. &
-&                (1.0-f(il).lt.1e-5)) then
+&                (1.0-f(il).lt.1e-5)) THEN
         ! beaucoup de liquide se réévaporant très peu dans un
         ! tout petit peu de vapeur. Ca peut donner des cas
@@ -3519,5 +3485,5 @@
           Pxtiinf(ixt,il)=max(Pxtiinf(ixt,il),0.0)
           xtnew(ixt,il)=max(xtnew(ixt,il),0.0)          
-          if (fac_ftmr(il).gt.0.0) then
+          if (fac_ftmr(il).gt.0.0) THEN
              Exi(ixt,il)=(xtnew(ixt,il) &
 &                 -xtp0(ixt,il))/fac_ftmr(il)
@@ -3539,5 +3505,5 @@
 #endif
 #ifdef ISOVERIF   
-          if (iso_eau.gt.0) then
+          if (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix( &
 &                   (Pxtiinf(iso_eau,il)), &
@@ -3552,45 +3518,45 @@
 &                  (Eqi(il)*fac_ftmr(il)), &
 &                  'stewart_expilicit 1111',errmax*10,errmaxrel*10)
-            if (Pqiinf(il).gt.ridicule) then
+            if (Pqiinf(il).gt.ridicule) THEN
               CALL iso_verif_egalite_choix &
 &                 ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                 1.,'stewart_explicite 1115',errmax,errmaxrel)
-            endif !if (Pqiinf.gt.ridicule) then  
+            endif !if (Pqiinf.gt.ridicule) THEN
           endif !(iso_eau.gt.0).and.(ixt.eq.iso_eau)
-          if (iso_HDO.gt.0) then
-            if (Pqiinf(il).gt.ridicule_rain) then
+          if (iso_HDO.gt.0) THEN
+            if (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
 &                   'stewart_explicie 1122')   
             endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
-            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+            if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
                 if (iso_verif_aberrant_nostop(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 1127') &
-&                   .eq.1) then
-                   write(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
+&                   .eq.1) THEN
+                   WRITE(*,*) 'Eqi(il)*fac_ftmr(il)/qp0(il)=', &
 &                          Eqi(il)*fac_ftmr(il)/qp0(il) 
-                   write(*,*) 'f,h=',f(il),h(il)
-                   write(*,*) 'deltaDl0,b0=',deltaD( &
+                   WRITE(*,*) 'f,h=',f(il),h(il)
+                   WRITE(*,*) 'deltaDl0,b0=',deltaD( &
 &                        (Rl0(iso_HDO,il))),deltaD( &
 &                        (Rb0(iso_HDO,il)))
-                   write(*,*) 'deltaDl,b=',deltaD( &
+                   WRITE(*,*) 'deltaDl,b=',deltaD( &
 &                        (Rl(iso_HDO,il))),deltaD( &
 &                        (Rb(iso_HDO,il)))
-                   write(*,*) 'deltaDe=',deltaD( &
+                   WRITE(*,*) 'deltaDe=',deltaD( &
 &                        (Exi(iso_HDO,il)/Eqi(il)))
-                   write(*,*) 'deltaDgamaRb0=',deltaD( &
+                   WRITE(*,*) 'deltaDgamaRb0=',deltaD( &
 &                        (gama(iso_HDO,il) &
 &                        *Rb0(iso_HDO,il))) 
-                   write(*,*) 'deltaDalphaRb0=',deltaD( &
+                   WRITE(*,*) 'deltaDalphaRb0=',deltaD( &
 &                        (alphap(iso_HDO,il) &
 &                        *Rb0(iso_HDO,il)))
                    stop
                 endif
-             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+             endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
           endif !if ((iso_HDO.gt.0)
           if ((iso_O17.gt.0).and.(iso_O18.gt.0).and. &
-&               (O17_verif)) then
-             if (Pqiinf(il).gt.ridicule_rain) then
+&               (O17_verif)) THEN
+             if (Pqiinf(il).gt.ridicule_rain) THEN
               CALL iso_verif_aberrant_o17( &
 &                  (Pxtiinf(iso_O17,il)/Pqiinf(il)), &
@@ -3599,14 +3565,13 @@
             endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO).and.
           endif  ! if ((iso_O17.gt.0).and.(iso_O18.gt.0).and.
-     if ((debug.eq.1).and.(il.eq.il_debug)) then
-      write(*,*) 'stewart_explicit 1160: 1er ordre pour le liq'
-     endif !if ((debug.eq.1).and.(il.eq.il_debug)) then
+     if ((debug.eq.1).and.(il.eq.il_debug)) THEN
+      WRITE(*,*) 'stewart_explicit 1160: 1er ordre pour le liq'
+     endif !if ((debug.eq.1).and.(il.eq.il_debug)) THEN
 #endif              
 
-    else !if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.5e-2) then
-
+    else !if (Eqi(il)*fac_ftmr(il)/qp0(il).lt.5e-2) THEN
     !**** cas général
 #ifdef ISOVERIF
-!        write(*,*) 'stewart_explicit 1170: cas général: il=',il
+!        WRITE(*,*) 'stewart_explicit 1170: cas général: il=',il
 DO ixt=1,niso
   CALL iso_verif_noNaN((beta(ixt,il)), &
@@ -3617,5 +3582,5 @@
 !            if ((allow_ordre1v).and.
 !     :           (Eqi(il)*fac_ftmr(il).lt.1e-2*qp0(il)).and.
-!     :            (h.lt.0.97)) then
+!     :            (h.lt.0.97)) THEN
 !               ! peu d'apport d'évap dans la vapeur, et peu diffusf ->
 !               ! peu de modif de la vapeur -> on utilse l'ordre 1 pour
@@ -3633,7 +3598,7 @@
 !     :           .or.((f.lt.0.1).and.(h.gt.0.9))
 !     :           .or.((f.lt.0.15).and.(h.gt.0.95))            
-!     :           .or.((f.lt.0.2).and.(h.gt.0.98))) then 
+!     :           .or.((f.lt.0.2).and.(h.gt.0.98))) THEN
     if ((h(il).gt.0.5).and.(f(il).lt.0.2).and. &
-&           (f(il).lt.0.005+3*(h(il)-0.5)**4)) then
+&           (f(il).lt.0.005+3*(h(il)-0.5)**4)) THEN
         ! la fonction flimite(h(il))=0.005+3*(h(il)-0.5)**4 est
         ! une courbe qui colle aux points de repères utilisés
@@ -3654,5 +3619,5 @@
        xtnew(ixt,il)=max(xtnew(ixt,il),0.0)
       
-       if (fac_ftmr(il).gt.0.0) then
+       if (fac_ftmr(il).gt.0.0) THEN
          Exi(ixt,il)=(xtnew(ixt,il)-xtp0(ixt,il))/fac_ftmr(il)
        else
@@ -3677,5 +3642,5 @@
 #endif
 #ifdef ISOVERIF
-      if (iso_eau.gt.0) then
+      if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix( &
 &            (Rl(iso_eau,il)), &
@@ -3698,12 +3663,12 @@
 &            (Exi(iso_eau,il)), &
 &            (Eqi(il)),'stewart_explicite 595', &
-&            errmax*50,errmaxrel*10).eq.1) then
-           write(*,*) 'il,fac_ftmr(il)=',il,fac_ftmr(il)
-           write(*,*) 'xtnew(iso_eau,il),qp(il)=', &
+&            errmax*50,errmaxrel*10).eq.1) THEN
+           WRITE(*,*) 'il,fac_ftmr(il)=',il,fac_ftmr(il)
+           WRITE(*,*) 'xtnew(iso_eau,il),qp(il)=', &
 &                 xtnew(iso_eau,il),qp0(il)+Eqi(il)*fac_ftmr(il)
-           write(*,*) 'xtp0(iso_eau,il),qp0(il)=', &
+           WRITE(*,*) 'xtp0(iso_eau,il),qp0(il)=', &
 &                   xtp0(iso_eau,il),qp0(il)
-           write(*,*) 'il=',il
-           write(*,*) 'xtp0(iso_eau,7),qp0(7)=', &
+           WRITE(*,*) 'il=',il
+           WRITE(*,*) 'xtp0(iso_eau,7),qp0(7)=', &
 &                   xtp0(iso_eau,7),qp0(7)
            stop
@@ -3713,13 +3678,13 @@
 &            (Eqi(il)*fac_ftmr(il)), &
 &            'stewart_expilicit 521',errmax*10,errmaxrel*10) &
-&            .eq.1) then
-           write(*,*) 'il=',il
+&            .eq.1) THEN
+           WRITE(*,*) 'il=',il
            stop
          endif !if (iso_verif_egalite_choix_nostop
-         if (Pqiinf(il).gt.ridicule) then
+         if (Pqiinf(il).gt.ridicule) THEN
            CALL iso_verif_egalite_choix &
 &                ((Pxtiinf(iso_eau,il)/Pqiinf(il)), &
 &                1.,'stewart_explicite 143',errmax,errmaxrel)
-         endif !if (Pqiinf.gt.ridicule) then 
+         endif !if (Pqiinf.gt.ridicule) THEN
         ! pour meilleure convergence numérique
         !Pxtiinf=Pqiinf
@@ -3729,13 +3694,13 @@
 &                   (qp0(il)+Eqi(il)*fac_ftmr(il)), &
 &                   'stewart_explicite 605',errmax*10,errmaxrel*50) &
-&                           .eq.1) then
-                write(*,*) 'xtnew=',xtnew(iso_eau,il)
-                write(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
-                write(*,*) 'errrel=', & 
+&                           .eq.1) THEN
+                WRITE(*,*) 'xtnew=',xtnew(iso_eau,il)
+                WRITE(*,*) 'qp=',qp0(il)+Eqi(il)*fac_ftmr(il)
+                WRITE(*,*) 'errrel=', &
 &                   (xtnew(iso_eau,il)- &
 &                    (qp0(il)+Eqi(il)*fac_ftmr(il))) &
 &                     /(qp0(il)+Eqi(il)*fac_ftmr(il))
-                write(*,*) 'Rb=',Rb(iso_eau,il)
-                write(*,*) 'Rl=',Rl(iso_eau,il)
+                WRITE(*,*) 'Rb=',Rb(iso_eau,il)
+                WRITE(*,*) 'Rl=',Rl(iso_eau,il)
                 stop
        endif !if (iso_verif_egalite_choix_nostop(
@@ -3743,36 +3708,36 @@
        !xtnew=qp0+Eqi*fac_ftmr
    endif   ! if (iso_eau.gt.0).and.(ixt.eq.iso_eau)  
-   if (iso_HDO.gt.0) then
-     if (Pqiinf(il).gt.ridicule_rain) then
+   if (iso_HDO.gt.0) THEN
+     if (Pqiinf(il).gt.ridicule_rain) THEN
         if (iso_verif_aberrant_nostop( &
 &                  (Pxtiinf(iso_HDO,il)/Pqiinf(il)), &
-&                   'stewart_explicie 675').eq.1) then
-          write(*,*) 'cas général f petit: il=',il
-          write(*,*) 'Rl,deltaDRl=',Rl(iso_HDO,il), &
+&                   'stewart_explicie 675').eq.1) THEN
+          WRITE(*,*) 'cas général f petit: il=',il
+          WRITE(*,*) 'Rl,deltaDRl=',Rl(iso_HDO,il), &
 &                   deltaD((Rl(iso_HDO,il)))
-          write(*,*) 'gama,h=',gama(iso_HDO,il),h(il)
-          write(*,*) 'Rl0,Rb0,deltaDRl0,RbO=',Rl0(iso_HDO,il), &
+          WRITE(*,*) 'gama,h=',gama(iso_HDO,il),h(il)
+          WRITE(*,*) 'Rl0,Rb0,deltaDRl0,RbO=',Rl0(iso_HDO,il), &
 &                   Rb0(iso_HDO,il), &
 &                   deltaD((Rl0(iso_HDO,il))), &
 &                   deltaD((Rb0(iso_HDO,il)))
-          write(*,*) 'r_l0qp0/(1+r_l0qp0),1/(1+r_l0qp0)=', &
+          WRITE(*,*) 'r_l0qp0/(1+r_l0qp0),1/(1+r_l0qp0)=', &
 &               r_l0qp0(il)/(1.0+r_l0qp0(il)),1.0/(1.0+r_l0qp0(il))
-          write(*,*) 'f,r_l0qp0=',f(il),r_l0qp0(il)
-          write(*,*) 'fac=',(1-f(il)*r_l0qp0(il)) &
+          WRITE(*,*) 'f,r_l0qp0=',f(il),r_l0qp0(il)
+          WRITE(*,*) 'fac=',(1-f(il)*r_l0qp0(il)) &
 &                  /(1-f(il)*r_l0qp0(il)*gama(iso_HDO,il)) 
-          write(*,*) 'Rl=gama*(RlO*r_l0qp0+rb0)/(1+r_l0qp0)*fac'
+          WRITE(*,*) 'Rl=gama*(RlO*r_l0qp0+rb0)/(1+r_l0qp0)*fac'
           stop
         endif   !if iso_verif_aberrant_nostop(
-       endif !if (Pqiinf(il).gt.ridicule_rain) then
-       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
+       endif !if (Pqiinf(il).gt.ridicule_rain) THEN
+       if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
              CALL iso_verif_aberrant(( &
 &                   xtnew(iso_HDO,il)/(qp0(il)+Eqi(il) &
 &                   *fac_ftmr(il))),'stewart_explicite 912')
-       endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) then
-       if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) then
-         write(*,*) 'stewart_explicit 991: fcas général'
-         write(*,*) 'mais avec formule simplifiée'
-         write(*,*) 'il,Eqi(il)=',il,Eqi(il)
-         write(*,*) 'deltaD=',deltaD((Exi(iso_HDO,il)/Eqi(il)))
+       endif !if (qp0(il)+Eqi(il)*fac_ftmr(il).gt.ridicule) THEN
+       if ((debug.eq.1).and.(il.eq.il_debug).and.(Eqi(il).gt.0.)) THEN
+         WRITE(*,*) 'stewart_explicit 991: fcas général'
+         WRITE(*,*) 'mais avec formule simplifiée'
+         WRITE(*,*) 'il,Eqi(il)=',il,Eqi(il)
+         WRITE(*,*) 'deltaD=',deltaD((Exi(iso_HDO,il)/Eqi(il)))
        endif
       endif !if (iso_HDO.gt.0)  
